Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.extensions
Interface DriverInterceptor

    public interface DriverInterceptor

Field Summary
`static String` | `INTERFACE_NAME`

Method Summary
`void` | `postInvokeCallback(Object vendorObj, String methodName, Object[] params, Object ret)` WebLogic Server will invoke this method AFTER it calls a method in the JDBC driver.
`void` | `postInvokeExceptionCallback(Object vendorObj, String methodName, Object[] params, Throwable error)` WebLogic Server will invoke this method AFTER it calls a method in the JDBC driver.
`Object` | `preInvokeCallback(Object vendorObj, String methodName, Object[] params)` WebLogic Server will invoke this method BEFORE it calls a method in the JDBC driver.

Field Detail

### INTERFACE_NAME

    static final String INTERFACE_NAME

See Also:
  Constant Field Values

Method Detail

### preInvokeCallback

    Object preInvokeCallback(Object vendorObj,
                             String methodName,
                             Object[] params)
                             throws SQLException

  WebLogic Server will invoke this method BEFORE it calls a method in the JDBC driver.

  Parameters:
    `vendorObj` - object who's method is being invoked
    `methodName` - name of method being invoked
    `args` - arguments to the method being invoked
  Returns:
    null proceed with method invokation
  Throws:
    `SQLException` - WLS will SKIP method invokation, and will rethrow this exception

### postInvokeCallback

    void postInvokeCallback(Object vendorObj,
                            String methodName,
                            Object[] params,
                            Object ret)
                            throws SQLException

  WebLogic Server will invoke this method AFTER it calls a method in the JDBC driver.

  Parameters:
    `vendorObj` - object who's method was invoked
    `methodName` - name of invoked method
    `args` - arguments to the invoked method
    `ret` - output of the invoked method
  Throws:
    `SQLException` - WLS will rethrow this exception

### postInvokeExceptionCallback

    void postInvokeExceptionCallback(Object vendorObj,
                                     String methodName,
                                     Object[] params,
                                     Throwable error)
                                     throws SQLException

  WebLogic Server will invoke this method AFTER it calls a method in the JDBC driver.

  Parameters:
    `vendorObj` - object who's method was invoked
    `methodName` - name of invoked method
    `args` - arguments to the invoked method
    `error` - exception thrown from the invoked method
  Throws:
    `SQLException` - WLS will rethrow this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD